import { r as registerInstance, h } from './core-f530a7ef.js';
var CardContent = /** @class */ (function () {
    function class_1(hostRef) {
        registerInstance(this, hostRef);
    }
    class_1.prototype.componentDidLoad = function () {
        this.cardContentEl.style.setProperty('padding', '16px 16px 16px 16px');
    };
    class_1.prototype.render = function () {
        var _this = this;
        return (h("section", { ref: function (el) { return _this.cardContentEl = el; } }, h("slot", null)));
    };
    return class_1;
}());
export { CardContent as materials_card_content };
